Index: /branches/libIGCM/ORCA2_LIM_PISCES/IGCM00/COMP/opa9.card
===================================================================
--- /branches/libIGCM/ORCA2_LIM_PISCES/IGCM00/COMP/opa9.card	(revision 1630)
+++ /branches/libIGCM/ORCA2_LIM_PISCES/IGCM00/COMP/opa9.card	(revision 1631)
@@ -4,8 +4,34 @@
 [UserChoices]
 OPA_NDT_DAY=15
-#============================
-#--v3, v3_1
+#==============================================================
+#-- Name of directory for COMMON ACCOUNT at idris or CCRT
+#-- available directories are:  v3, v3_1
+#-- related to NEMO_tag_revision (nemo_v3, nemo_v3_1)
+#-- NOTE: if you use your own directory you have to comment it
 OPA_version=v3_1
-#============================
+#==============================================================
+
+#-- if you run interannual is "y", if not is "n"
+Interannual_Run=n
+
+[Interannual]
+#=====================================================================
+#-- Surface Boundary Condition original files name ( get by the job )
+#=====================================================================
+#-- NOTE: MANDATORY STRUCTURE OF FILE NAMES GET BY THE JOB : 
+#-- "basename_yyyy.nc"  	( for interannual data )
+#-- "basename.nc"	  	( for climatologycal data )
+#-- MANDATORY: NAMES USED IN List_jobsbc VARIABLE MUST BE ONLY THE BASENAME
+
+List_jobsbc=(taux_1m, tauy_1m, flx)
+
+#==========================================================================================
+#-- Surface Boundary Condition files name expected by NEMO ( same as the ones in namelist )
+#==========================================================================================
+#-- NOTE: 2 possible cases :
+#-- 1) put in List_runsbc file names different from List_jobsbc but identical to the ones in namelist
+#-- 2) leave List_runsbc empty so NEMO will read file names specified in List_jobsbc variable above
+
+List_runsbc=()
 
 [InitialStateFiles]
@@ -21,11 +47,8 @@
             (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/data_1m_potential_temperature_nomask.nc, .), \
             (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/data_1m_salinity_nomask.nc, .), \
-            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/flx.nc, .),\
             (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/geothermal_heating.nc, .),\
             (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/runoff_1m_nomask.nc, .),\
             (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/sss_data.nc, .),\
             (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/sst_data.nc, .),\
-            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/taux_1m.nc, .),\
-            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/tauy_1m.nc, .),\
             (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/subbasins.nc, .)
 
@@ -44,11 +67,9 @@
         (${PREFIX_NWRITE}_${DATE_OPA}_grid_V.nc, ${R_OUT_OCE_NWRITE}/${PREFIX}_${WF1}_grid_V.nc, Post_1M_grid_V),\
         (${PREFIX_NWRITE}_${DATE_OPA}_grid_W.nc, ${R_OUT_OCE_NWRITE}/${PREFIX}_${WF1}_grid_W.nc, Post_1M_grid_W),\
-        (${PREFIX_NWRITE}_${DATE_OPA}_diaptr.nc, ${R_OUT_OCE_NWRITE}/${PREFIX}_${WF1}_diaptr.nc, Post_1M_diaptr),\
-        (${PREFIX_NWRITE}_${DATE_OPA}_trends.nc, ${R_OUT_OCE_NWRITE}/${PREFIX}_${WF1}_trends.nc, NONE),\
-        (${PREFIX_NWRITE}_${DATE_OPA}_diagap.nc, ${R_OUT_OCE_NWRITE}/${PREFIX}_${WF1}_diagap.nc, NONE),\
         (damping.coeff.nc , ${R_OUT_OCE_NWRITE}/${PREFIX}_damping.coeff.nc, NONE),\
         (mesh_mask.nc     , ${R_OUT_OCE_O}/${config_UserChoices_JobName}_mesh_mask.nc, NONE),\
         (output.abort.nc  , ${R_OUT_OCE_D}/${PREFIX}_output.abort.nc, NONE),\
-        (output.init.nc   , ${R_OUT_OCE_O_I}/${config_UserChoices_JobName}_${PeriodDateBegin}_output.init.nc, NONE),\
+        (output.init.nc   , ${R_OUT_OCE_O_I}/${config_UserChoices_JobName}_${PeriodDateBegin}_output.init.nc, NONE)
+
 
 [Post_1M_grid_T]
@@ -71,7 +92,2 @@
 GatherWithInternal = (nav_lon, nav_lat, depthw, time_counter)
 TimeSeriesVars =
-
-[Post_1M_diaptr]
-Patches = ()
-GatherWithInternal = (lat, deptht, depthw, time_counter)
-TimeSeriesVars = (zotemglo, zosalglo, zomsfglo, zotematl, zosalatl, zomsfatl, zotempac, zosalpac, zomsfpac, zotemind, zosalind, zomsfind, zotemipc, zosalipc, zomsfipc, sohtatl, sostatl, sohtpac, sostpac, sohtind, sostind, sohtipc, sostipc, sophtadv, sophtove, sophtldf, sopstadv, sopstove, zomsfeiv, sophteiv, sopsteiv)
Index: /branches/libIGCM/ORCA2_LIM_PISCES/IGCM00/COMP/opa9.driver
===================================================================
--- /branches/libIGCM/ORCA2_LIM_PISCES/IGCM00/COMP/opa9.driver	(revision 1630)
+++ /branches/libIGCM/ORCA2_LIM_PISCES/IGCM00/COMP/opa9.driver	(revision 1631)
@@ -7,22 +7,22 @@
     JOB_NAME=${config_UserChoices_JobName}
 
-    if [ -z "${opa_UserChoices_OPA_NDT_DAY}" ] ; then
-	OPA_NDT_DAY=15
-    else
-	OPA_NDT_DAY=${opa_UserChoices_OPA_NDT_DAY}
-    fi
+    OPA_NDT_DAY=${opa_UserChoices_OPA_NDT_DAY:=15}
+
 
     ##--Variables used by OPA --
 
-    # cexper experience name for vairmer format
-    # nit000 number of the first time step
-    # nitend number of the last time step
-    # nleapy leap year calendar (0/1) (30 for 360d)
-    # nwrite frequency of OUTPUT file
+    # cn_exp experience name for vairmer format
+    # nn_it000 number of the first time step
+    # nn_itend number of the last time step
+    # nn_leapy leap year calendar (0/1) (30 for 360d)
+    # nn_write frequency of OUTPUT file
     # ln_rstart boolean term for restart (true or false)
-    # nstock frequency of restart file
-    # nrstdt control of the time step (0, 1 or 2)
-    # ndate0 initial calendar date aammjj
-    # nmsh  =1 create a mesh file (coordinates, scale factors, masks)
+    # nn_stock frequency of restart file
+    # nn_rstctl control of the time step (0, 1 or 2)
+    # nn_date0 initial calendar date aammjj
+    # nn_msh  =1 create a mesh file (coordinates, scale factors, masks)
+    # rn_rdt time step in seconds (coming from namelist)
+    # nf_ptr_wri frequency of zonal means and transport output
+
 
 # Local function to find namelists parameters
@@ -32,16 +32,18 @@
 
 
-    PAT_CEXPER=$( supergrep cexper    ${SUBMIT_DIR}/PARAM/namelist )
-    PAT_NIT000=$( supergrep nit000    ${SUBMIT_DIR}/PARAM/namelist )
-    PAT_NITEND=$( supergrep nitend    ${SUBMIT_DIR}/PARAM/namelist )
-    PAT_NLEAPY=$( supergrep nleapy    ${SUBMIT_DIR}/PARAM/namelist )
-    PAT_NWRITE=$( supergrep nwrite    ${SUBMIT_DIR}/PARAM/namelist )
+    PAT_CEXPER=$( supergrep cn_exp    ${SUBMIT_DIR}/PARAM/namelist )
+    PAT_NIT000=$( supergrep nn_it000    ${SUBMIT_DIR}/PARAM/namelist )
+    PAT_NITEND=$( supergrep nn_itend    ${SUBMIT_DIR}/PARAM/namelist )
+    PAT_NLEAPY=$( supergrep nn_leapy    ${SUBMIT_DIR}/PARAM/namelist )
+    PAT_NWRITE=$( supergrep nn_write    ${SUBMIT_DIR}/PARAM/namelist )
     PAT_RESTAR=$( supergrep ln_rstart ${SUBMIT_DIR}/PARAM/namelist )
-    PAT_NSTOCK=$( supergrep nstock    ${SUBMIT_DIR}/PARAM/namelist )
-    PAT_NRSTAR=$( supergrep nrstdt    ${SUBMIT_DIR}/PARAM/namelist )
-    PAT_NDATE0=$( supergrep ndate0    ${SUBMIT_DIR}/PARAM/namelist )
-    PAT_NMSH=$(   supergrep nmsh      ${SUBMIT_DIR}/PARAM/namelist ) 
-
-    OPA_RDT=$( supergrep rdt  ${SUBMIT_DIR}/PARAM/namelist | sed 's/ *rdt *=//' | sed 's/\. *,//' )
+    PAT_NSTOCK=$( supergrep nn_stock    ${SUBMIT_DIR}/PARAM/namelist )
+    PAT_NRSTAR=$( supergrep nn_rstctl    ${SUBMIT_DIR}/PARAM/namelist )
+    PAT_NDATE0=$( supergrep nn_date0    ${SUBMIT_DIR}/PARAM/namelist )
+    PAT_NMSH=$(   supergrep nn_msh      ${SUBMIT_DIR}/PARAM/namelist ) 
+    PAT_NF_PTR=$( supergrep nf_ptr_wri ${SUBMIT_DIR}/PARAM/namelist )
+    
+
+    OPA_RDT=$( supergrep rn_rdt  ${SUBMIT_DIR}/PARAM/namelist | sed 's/ *rn_rdt *=//' | sed 's/\. *,//' )
 
     # Period Length In Days between DateBegin and first day of calendar 0001 01 01
@@ -49,4 +51,10 @@
     (( DaysSinceJC = $( IGCM_date_DaysSinceJC ${DateBegin} ) + 1 ))
 
+    # Definition from opa9.card of List_jobsbc and List_runsbc used to do to interannual and climatological runs 
+	IGCM_card_DefineArrayFromOption ${SUBMIT_DIR}/COMP/opa9.card Interannual List_jobsbc
+	IGCM_card_DefineArrayFromOption ${SUBMIT_DIR}/COMP/opa9.card Interannual List_runsbc
+        set -A ListFormulationJobsbc -- \${opa9_Interannual_Listjobsc${opa9_Interannual_List_jobsbc}[*]}
+        set -A ListFormulationRunsbc -- \${opa9_Interannual_Listrunsbc${opa9_Interannual_List_runsbc}[*]}
+
     IGCM_debug_PopStack "OCE_Initialize"
 }
@@ -55,6 +63,75 @@
 function OCE_Update
 {
-###    set -vx
     IGCM_debug_PushStack "OCE_Update"
+
+    # Interannual run
+    # In this case job need to calculate previous and following year and give, and if every run needs to add "_y" before every year 
+    if [ X${opa9_UserChoices_Interannual_Run} = Xy ] ; then
+
+	typeset file fileo
+
+        eval NbFileInter=${#opa9_Interannual_List_jobsbc[*]}
+
+	(( i = 0 ))
+	while [ $i -lt ${NbFileInter} ] ; do
+	    eval file=${opa9_Interannual_List_jobsbc[$i]}
+	    eval jobsbc_file_ym1=${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/${file}_$(( year - 1 )).nc
+	    eval jobsbc_file_y=${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/${file}_${year}.nc
+	    eval jobsbc_file_yp1=${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/${file}_$(( year + 1 )).nc
+     # Copy of List_jobsbc in List_runsbc if this last one is empty 
+            if [ X${opa9_Interannual_List_runsbc[0]} = X${NULL_STR} ] ; then
+	    	eval fileo=${opa9_Interannual_List_jobsbc[$i]}
+            	eval runsbc_file_ym1=${file}_y$(( year - 1 )).nc
+            	eval runsbc_file_y=${file}_y${year}.nc
+            	eval runsbc_file_yp1=${file}_y$(( year + 1 )).nc
+	    else
+	    	eval fileo=${opa9_Interannual_List_runsbc[$i]}
+            	eval runsbc_file_ym1=${fileo}_y$(( year - 1 )).nc
+            	eval runsbc_file_y=${fileo}_y${year}.nc
+            	eval runsbc_file_yp1=${fileo}_y$(( year + 1 )).nc
+	   fi
+
+	    if [ X${Period} = X1 ] ; then
+		if [ ${month} -eq 01 ] ; then
+		    IGCM_sys_Get ${jobsbc_file_ym1} ${runsbc_file_ym1}
+		fi
+		if [ ! -f ${runsbc_file_y} ] ; then
+		    IGCM_sys_Get ${jobsbc_file_y} ${runsbc_file_y}
+		fi
+		if [ ! -f ${runsbc_file_yp1} ] ; then
+		    IGCM_sys_Get ${jobsbc_file_yp1} ${runsbc_file_yp1}
+		fi
+	    else 
+		if [ ! -f ${runsbc_file_yp1} ] ; then
+		    IGCM_sys_Get ${jobsbc_file_yp1} ${runsbc_file_yp1}
+		fi
+	    fi 
+
+	    (( i = i + 1 ))
+	done
+    # End interannual
+    elif [ X${opa9_UserChoices_Interannual_Run} = Xn ] ; then
+    # Climatological run
+       typeset file fileo
+
+       eval NbFileInter=${#opa9_Interannual_List_jobsbc[*]}
+
+        (( i = 0 ))
+        while [ $i -lt ${NbFileInter} ] ; do
+            eval file=${opa9_Interannual_List_jobsbc[$i]}
+            eval jobsbc_file=${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/${file}.nc
+            if [ X${opa9_Interannual_List_runsbc[0]} = X${NULL_STR} ] ; then
+	    	eval fileo=${opa9_Interannual_List_jobsbc[$i]}
+            	eval runsbc_file=${fileo}.nc
+	    else
+	    	eval fileo=${opa9_Interannual_List_runsbc[$i]}
+            	eval runsbc_file=${fileo}.nc
+	   fi
+
+            IGCM_sys_Get ${jobsbc_file} ${runsbc_file}
+            (( i = i + 1 ))
+	done
+    fi
+    # End climatological
 
     NbFreq=$( echo ${config_OCE_WriteFrequency} | wc -w )
@@ -98,5 +175,5 @@
     OPA_NSTOCK="${OPA_NITEND}"
 
-    ## Verification of number of time step in a day
+    ## Verification of number of time steps per day
     (( NB_SEC_DAY_MODEL = OPA_NDT_DAY * OPA_RDT ))
     (( NB_SEC_DAY = 60 * 60 * 24 ))
@@ -104,5 +181,5 @@
     if [ ${NB_SEC_DAY_MODEL} -ne ${NB_SEC_DAY} ]
 	then
-        echo " VERIFIER OPA_NDT_DAY dans le job ${JOB} "
+        echo " VERIFY OPA_NDT_DAY in opa9.card "
         exit
     fi
@@ -111,8 +188,8 @@
     if ( [ "${CumulPeriod}" -eq 1 ] && [ "${config_OCE_Restart}" = "n" ] ) ; then
 
-        #echo "PAS DE RESTART OPA"
+        #echo "NO OPA RESTART"
 	OPA_LRSTAR=.FALSE.
 	OPA_NRSTDT=0
-        #echo pas de meshmask en parallele
+        #Put OPA_NMSH=0 when OPA runnig in parallel mode 
 	OPA_NMSH=1
 	( [ X${BATCH_NUM_PROC_TOT} != X ] && [ "${BATCH_NUM_PROC_TOT}" -gt 1 ] ) && OPA_NMSH=0
@@ -120,5 +197,5 @@
     elif ( [ "${CumulPeriod}" -eq 1 ] && [ "${config_OCE_Restart}" = "y" ] ) ; then
 
-        #echo "RESTART OPA"
+        #echo "OPA RESTART"
 	OPA_LRSTAR=.TRUE.
 	OPA_NRSTDT=1
@@ -127,5 +204,5 @@
     else
 
-        #echo "RESTART OPA"
+        #echo "OPA RESTART"
 	OPA_LRSTAR=.TRUE.
 	OPA_NRSTDT=2
@@ -133,5 +210,6 @@
 
     fi
-
+   
+     ## nleapy configuration
 	case ${config_UserChoices_CalendarType} in
         	leap)
@@ -147,14 +225,15 @@
 	NEMO_END=$( echo $( awk "BEGIN { printf \"%0${PRECIS}d\",${OPA_NITEND} }" ) ) 
 
-    sed -e "s%${PAT_CEXPER}%       cexper=\"${config_UserChoices_JobName}\"%" \
-	-e "s%${PAT_NIT000}%       nit000=${OPA_NIT000}%"                    \
-	-e "s%${PAT_NITEND}%       nitend=${OPA_NITEND}%"                    \
-	-e "s%${PAT_NLEAPY}%       nleapy=${OPA_NLEAPY}%"	              \
-	-e "s%${PAT_NWRITE}%       nwrite=${OPA_NWRITE}%"                    \
+    sed -e "s%${PAT_CEXPER}%       cn_exp=\"${config_UserChoices_JobName}\"%" \
+	-e "s%${PAT_NIT000}%       nn_it000=${OPA_NIT000}%"                    \
+	-e "s%${PAT_NITEND}%       nn_itend=${OPA_NITEND}%"                    \
+	-e "s%${PAT_NWRITE}%       nn_write=${OPA_NWRITE}%"                    \
 	-e "s%${PAT_RESTAR}%       ln_rstart=${OPA_LRSTAR}%"                 \
-	-e "s%${PAT_NSTOCK}%       nstock=${OPA_NSTOCK}%"                    \
-	-e "s%${PAT_NRSTAR}%       nrstdt=${OPA_NRSTDT}%"                    \
-	-e "s%${PAT_NDATE0}%       ndate0=${PeriodDateBegin}%"                \
-	-e "s%${PAT_NMSH}%         nmsh=${OPA_NMSH}%"                        \
+	-e "s%${PAT_NSTOCK}%       nn_stock=${OPA_NSTOCK}%"                    \
+	-e "s%${PAT_NRSTAR}%       nn_rstctl=${OPA_NRSTDT}%"                    \
+	-e "s%${PAT_NDATE0}%       nn_date0=${PeriodDateBegin}%"                \
+	-e "s%${PAT_NMSH}%         nn_msh=${OPA_NMSH}%"                        \
+	-e "s%${PAT_NLEAPY}%       nn_leapy=${OPA_NLEAPY}%"	              \
+        -e "s%${PAT_NF_PTR}%       nf_ptr_wri=${OPA_NWRITE}%"                \
 	namelist > namelist.tmp
 
@@ -173,8 +252,8 @@
 
     if [ -f date.file ] ; then
-        # Prefix use in opa.card AND in lim.card :
+        # Prefix use in opa.card AND in lim2.card :
 	DATE_OPA=$( cat date.file | \
 	    sed "s/\ ${config_UserChoices_JobName}_[0-9]*[a-z]_\([0-9]*_[0-9]*\)_\ */\1/g" )
-###DATE_OPA=$( $DATE_OPABF | cut -c1-30 )
+        ###DATE_OPA=$( $DATE_OPABF | cut -c1-30 )
 	MainPrefix=${config_UserChoices_JobName}_1d_${DATE_OPA}
 	SecondPrefix=${config_UserChoices_JobName}_5d_${DATE_OPA}
Index: /branches/libIGCM/ORCA2_LIM_PISCES/IGCM00/COMP/pisces.card
===================================================================
--- /branches/libIGCM/ORCA2_LIM_PISCES/IGCM00/COMP/pisces.card	(revision 1630)
+++ /branches/libIGCM/ORCA2_LIM_PISCES/IGCM00/COMP/pisces.card	(revision 1631)
@@ -9,5 +9,13 @@
 [BoundaryFiles]
 List=	()
-ListNonDel= (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/kRGB61.txt, .), \
+ListNonDel= (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/data_1m_DIC_nomask.nc, LEVITUS_DIC.nc), \
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/data_1m_Alkalini_nomask.nc, LEVITUS_Alkalini.nc), \
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/data_1m_O2_nomask.nc, LEVITUS_O2.nc), \
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/data_1m_NO3_nomask.nc, LEVITUS_NO3.nc), \
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/data_1m_PO4_nomask.nc, LEVITUS_PO4.nc), \
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/data_1m_Si_nomask.nc, LEVITUS_Si.nc), \
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/data_1m_DOC_nomask.nc, LEVITUS_DOC.nc), \
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/data_1m_Fer_nomask.nc, LEVITUS_Fer.nc), \
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/kRGB61.txt, .), \
             (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/dust.orca.nc, .), \
             (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/bathy.orca.nc, .), \
@@ -23,8 +31,18 @@
 
 [OutputText]
-List=   ()
+List=   (namelist_top, namelist_pisces)
 
 [OutputFiles]
-List=   (${PREFIX_NWRITETRC}_${DATE_OPA}_ptrc_T.nc, ${R_OUT_TOP_NWRITE}/${PREFIX}_${WFT1}_ptrc_T.nc, NONE), \
-        (${PREFIX_NWRITETRC}_${DATE_OPA}_diad_T.nc, ${R_OUT_TOP_NWRITE}/${PREFIX}_${WFT1}_diad_T.nc, NONE)
+List=   (${PREFIX_NWRITETRC}_${DATE_OPA}_ptrc_T.nc, ${R_OUT_MBG_NWRITE}/${PREFIX}_${WFT1}_ptrc_T.nc, Post_1M_ptrc_T), \
+        (${PREFIX_NWRITETRC}_${DATE_OPA}_diad_T.nc, ${R_OUT_MBG_NWRITE}/${PREFIX}_${WFT1}_diad_T.nc, Post_1M_diad_T)
 
+[Post_1M_ptrc_T]
+Patches= ()
+GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter)
+TimeSeriesVars = (DCHL, NCHL, NO3, PO4, O2, Si, Fer, DIC, Alkalini, DOC)
+
+[Post_1M_diad_T]
+Patches = ()
+GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter)
+TimeSeriesVars = (PMO, PMO2, Delc, Cflx, PPPHY, PPPHY2)
+
Index: /branches/libIGCM/ORCA2_LIM_PISCES/IGCM00/COMP/pisces.driver
===================================================================
--- /branches/libIGCM/ORCA2_LIM_PISCES/IGCM00/COMP/pisces.driver	(revision 1630)
+++ /branches/libIGCM/ORCA2_LIM_PISCES/IGCM00/COMP/pisces.driver	(revision 1631)
@@ -2,9 +2,9 @@
 
 #-----------------------------------
-function TOP_Initialize
+function MBG_Initialize
 { 
-    IGCM_debug_PushStack "TOP_Initialize"
+    IGCM_debug_PushStack "MBG_Initialize"
 
-    ##--Variables used by TOP --
+    ##--Variables used by MBG --
 
     # nwritetrc frequency of write in the tracer output file
@@ -24,5 +24,5 @@
 
     PAT_TOP_NWRITETRC=$( supergrep nwritetrc             ${SUBMIT_DIR}/PARAM/namelist_top )
-    PAT_TOP_LRSTTR=$( supergrep lrsttr                   ${SUBMIT_DIR}/PARAM/namelist_top )
+    PAT_TOP_LRSTTR=$( supergrep ln_rsttr                 ${SUBMIT_DIR}/PARAM/namelist_top )
     PAT_TOP_NRSTTR=$( supergrep nrsttr                   ${SUBMIT_DIR}/PARAM/namelist_top )
     PAT_TOP_NWRITETRD=$( supergrep ntrd_trc              ${SUBMIT_DIR}/PARAM/namelist_top )
@@ -31,14 +31,14 @@
     PAT_PIS_NWRITEDIA=$( supergrep nwritedia             ${SUBMIT_DIR}/PARAM/namelist_pisces )
 
-    IGCM_debug_PopStack "TOP_Initialize"
+    IGCM_debug_PopStack "MBG_Initialize"
 }
 
 #-----------------------------------
-function TOP_Update
+function MBG_Update
 {
-    IGCM_debug_PushStack "TOP_Update"
+    IGCM_debug_PushStack "MBG_Update"
 
     ##--Write Frequency Purpose ....
-    topfrequency=$( echo ${config_TOP_WriteFrequency} | awk "-F " '{print $1}' )
+    topfrequency=$( echo ${config_MBG_WriteFrequency} | awk "-F " '{print $1}' )
     topfactor=$( echo ${topfrequency} | sed -e "s/[yYmMdD]//" )
     case ${topfrequency} in
@@ -46,15 +46,15 @@
             (( TOP_NWRITE = OPA_NDT_DAY * topfactor * $( IGCM_date_DaysInYear  ${year} ) ))          ;
             PREFIX_NWRITETRC=${config_UserChoices_JobName}_${topfactor}y ;
-            R_OUT_TOP_NWRITE=${R_OUT_TOP_O_Y} ;
+            R_OUT_MBG_NWRITE=${R_OUT_MBG_O_Y} ;
             WFT1=${topfactor}Y ;;
         1M|1m)
             (( TOP_NWRITE = OPA_NDT_DAY * topfactor * $( IGCM_date_DaysInMonth  ${year} ${month} ) ))          ;
             PREFIX_NWRITETRC=${config_UserChoices_JobName}_${topfactor}m ;
-            R_OUT_TOP_NWRITE=${R_OUT_TOP_O_M} ;
+            R_OUT_MBG_NWRITE=${R_OUT_MBG_O_M} ;
             WFT1=${topfactor}M ;;
         *D|*d)
             (( TOP_NWRITE = OPA_NDT_DAY * topfactor  ))          ;
             PREFIX_NWRITETRC=${config_UserChoices_JobName}_${topfactor}d ;
-            R_OUT_TOP_NWRITE=${R_OUT_TOP_O_D} ;
+            R_OUT_MBG_NWRITE=${R_OUT_MBG_O_D} ;
             WFT1=${topfactor}D ;;
         *)
@@ -62,5 +62,5 @@
 
     ##-- Restart configuration
-    if ( [ "${CumulPeriod}" -eq 1 ] && [ "${config_TOP_Restart}" = "n" ] ) ; then
+    if ( [ "${CumulPeriod}" -eq 1 ] && [ "${config_MBG_Restart}" = "n" ] ) ; then
 
         #echo "NO RESTART FOR TOP"
@@ -68,5 +68,5 @@
         TOP_NRSTTR=0
 
-    elif ( [ "${CumulPeriod}" -eq 1 ] && [ "${config_TOP_Restart}" = "y" ] ) ; then
+    elif ( [ "${CumulPeriod}" -eq 1 ] && [ "${config_MBG_Restart}" = "y" ] ) ; then
 
         #echo "RESTART TOP"
@@ -83,5 +83,5 @@
     sed -e "s%${PAT_TOP_NWRITETRC}%       nwritetrc=${TOP_NWRITE}%"               \
         -e "s%${PAT_TOP_NWRITETRD}%       ntrd_trc=${TOP_NWRITE}%"                \
-        -e "s%${PAT_TOP_LRSTTR}%          lrsttr=${TOP_LRSTTR}%"                   \
+        -e "s%${PAT_TOP_LRSTTR}%          ln_rsttr=${TOP_LRSTTR}%"                   \
         -e "s%${PAT_TOP_NRSTTR}%          nrsttr=${TOP_NRSTTR}%"                   \
         namelist_top > namelist_top.tmp
@@ -99,15 +99,15 @@
     grep AUTO namelist*
 
-    IGCM_debug_PopStack "TOP_Update"
+    IGCM_debug_PopStack "MBG_Update"
 }
 
 #-----------------------------------
-function TOP_Finalize
+function MBG_Finalize
 {
-    IGCM_debug_PushStack "TOP_Finalize"
+    IGCM_debug_PushStack "MBG_Finalize"
 
-    echo FINALIZE TOP !!!
+    echo FINALIZE MBG !!!
 
-    IGCM_debug_PopStack "TOP_Finalize"
+    IGCM_debug_PopStack "MBG_Finalize"
 }
 
